/**
 * @package JLinked
 * @copyright (C) 2009-2012 by Source Coast - All rights reserved
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
var jlinked = {
    login: {
        // Action to perform after authentication on LinkedIn has occurred
        authenticate: function() {
            IN.API.Profile("me")
                .result( function(me) {
                    var id = me.values[0].id;
                    //alert('Logged In: '+id);
                    //window.location = 'index.php?option=com_jlinked&view=loginregister';
                    var req = new Request({
                        method:'get',
                        url: 'index.php'
                    }).send('option=com_jlinked&task=setLinkedInMemberId&id=' + id);

                }
            );
            jlinkedPrefillFields();
        }
    },

    register: {
        checkUsernameAvailable: function() {
            var testName = $('username').value;
            if (testName != '')
                var myXHR = new XHR({
                    method:'get',
                    onSuccess:jlinked.register.showUsernameSuccess
                }).send('index.php', 'option=com_jlinked&view=loginregister&task=checkUsernameAvailable&username=' + testName);
        },

        checkPassword: function() {
            var testPassword = $('password').value;
            var passwordSuccessElement = $('jlinkedPasswordSuccess');
            var val = "";
            if (testPassword.length < 6)
                val = '<img src="' + jlinkedRoot + 'images/cancel_f2.png" width="20" height="20">' + jlinkedPasswordInvalid;
            passwordSuccessElement.innerHTML = val;
        },

        checkPassword2: function() {
            var testPassword = $('password').value;
            var testPassword2 = $('password2').value;
            var passwordSuccessElement = $('jlinkedPassword2Success');
            var val = "";
            if (testPassword2 != "" && (testPassword != testPassword2))
                val = '<img src="' + jlinkedRoot + 'images/cancel_f2.png" width="20" height="20">' + jlinkedPassword2NoMatch;
            passwordSuccessElement.innerHTML = val;
        },

        checkEmail2: function() {
            var testEmail = $('email').value;
            var testEmail2 = $('email2').value;
            var emailSuccessElement = $('jlinkedEmail2Success');
            var val = "";
            if (testEmail2 != "" && (testEmail != testEmail2))
                val = '<img src="' + jlinkedRoot + 'images/cancel_f2.png" width="20" height="20">' + jlinkedEmail2NoMatch;
            emailSuccessElement.innerHTML = val;

        },

        showUsernameSuccess: function(req) {
            var usernameSuccessElement = $('jlinkedUsernameSuccess');
            if (req == 1) {
                usernameSuccessElement.innerHTML = '';
            }
            else {
                usernameSuccessElement.innerHTML = '<img src="' + jlinkedRoot + 'images/cancel_f2.png" width="20" height="20">' + jlinkedUsernameIsInUse;
            }

        },

        checkEmailAvailable: function() {
            var testEmail = $('email').value;
            if (testEmail != '' && jlinked.register.isEmail(testEmail))
                var myXHR = new XHR({
                    method:'get',
                    onSuccess:jlinked.register.showEmailSuccess
                }).send('index.php', 'option=com_jlinked&view=loginregister&task=checkEmailAvailable&email=' + testEmail);
        },

        showEmailSuccess: function(req) {
            emailSuccessElement = document.getElementById('jlinkedEmailSuccess');
            if (req == 1) {
                emailSuccessElement.innerHTML = '';
            }
            else {
                emailSuccessElement.innerHTML = '<img src="' + jlinkedRoot + 'images/cancel_f2.png" width="20" height="20">' + jlinkedEmailIsInUse;
            }
        },

        isEmail: function(text) {
            var pattern = "^[\\w-_\.]*[\\w-_\.]\@[\\w]\.+[\\w]+[\\w]$";
            var regex = new RegExp(pattern);
            return regex.test(text);
        }
    }
};
